Bug 91106 - Some way needed to hide "Advanced Options" button
Some way needed to hide "Advanced Options" button
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Options&Settings
5.x
All All
: P4 (vote)
: 6.x
Assigned To: Jiri Skrivanek
issues@platform
: PLATFORM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-15 07:59 UTC by Geertjan Wielenga
Modified: 2008-12-22 10:48 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Geertjan Wielenga 2006-12-15 07:59:53 UTC
Users who do not want to have an 'advanced options' section need a way to hide
that button in the Options window. The API doesn't provide this currently.
Comment 1 rmatous 2006-12-15 09:01:53 UTC
Agree. 

'advanced options' should disappear anyway (at least planned for 6.0) but 
backward compatibility must be ensured. Button for 'advanced options' should be
visible just in case that there are registered any options for the 'advanced
options dialog' else should disappear. Is that OK for you ?
Comment 2 Antonin Nebuzelsky 2008-04-15 17:18:35 UTC
Reassigning to new module owner jskrivanek.
Comment 3 Jiri Skrivanek 2008-07-04 09:45:12 UTC
Fixed c9c758079d61.
Comment 4 Quality Engineering 2008-07-05 04:02:46 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #300 build
Changeset: http://hg.netbeans.org/main/rev/c9c758079d61
User: Jiri Skrivanek <jskrivanek@netbeans.org>
Log: #91106 - Advanced Options button is visible only if some advanced options exist.
Comment 5 Quality Engineering 2008-08-08 04:29:25 UTC
Integrated into 'main-golden', available in build *200808080201* on http://bits.netbeans.org/dev/nightly/
Changeset: http://hg.netbeans.org/main/rev/b83e0680f4ac
User: Jiri Skrivanek <jskrivanek@netbeans.org>
Log: #91106 - Listen to default filesystem and not only its root.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo